[project]
name = "DocuMentor"
version = "1.6.5"
description = "Professionelle XSL-Transformations-Verwaltung und PDF-Generierung"
readme = "README.md"
license = {text = "MIT"}
requires-python = ">=3.13,<3.15"
dependencies = [
    "pydantic-settings>=2.12.0",
    "pyside6>=6.10.1",
    "polars[connectorx,pyarrow]>=1.37.0",
    "connectorx>=0.4.0",
    "pydantic-yaml>=1.6.0",
    "psutil>=6.1.1",
    "lxml>=6.0.2",
]

[tool.ruff]
# Extend the `pyproject.toml` file in the parent directory...
# extend = "../pyproject.toml"

# ...but use a different line length.
line-length = 120

# Ignoriere automatisch generierte UI-Dateien
extend-exclude = ["*_ui.py"]

[dependency-groups]
dev = [
    "ruff>=0.14.11",
    "pyinstaller>=6.0.0",
    "pillow>=10.0.0",
]
